KIO Link
KIO Link XC APIKIO Link API
KIO BMSHuawei BMSHuawei Alert
KIO Link XC APIKIO Link API
KIO BMSHuawei BMSHuawei Alert
  1. Business Devices
  • Auth
    • Overview
    • Log in
    • Send a one-time sign-in token
    • Log in with Apple
    • Validate a session token
    • Sign in with a one-time sign-in token
    • Request a password reset
    • Get the user of a password reset token
    • Reset a password
    • Submit a business registration request
    • Enable two-factor authentication
    • Confirm a two-factor login
  • Application Content
    • List application content
    • Create application content
    • Get application content by slug
    • Get application content by public id
    • Partially update application content
    • Delete application content
  • Businesses
    • Overview
    • Business Users
      • Overview
      • List business users by business
      • List a business's users
      • Create a business user
      • Get a business user
      • Update a business user
      • Upload a business user's avatar
      • Delete a business user's avatar
      • Deactivate business users
      • Search business users
      • Search a business's users
      • Send a password reset email to a business user
      • Reset a business user's daily sign-in code limits
      • Toggle a business user's two-factor authentication
      • Import business users from CSV
      • Export all business users
      • Set whether I receive releases
      • Set whether I receive alerts
      • Request the deletion of my account
    • Business Roles
      • Overview
      • List business user roles
      • Create a business user role
      • Get a business user role
      • Update a business user role
      • Delete a business user role
    • Business Permissions
      • Overview
      • List business user permissions
      • Create a business user permission
      • Delete a business user permission
    • Business Consoles
      • Overview
      • List a business's consoles
      • Create a business console
      • Delete a business console
    • Business Devices
      • Overview
      • List a business's devices
        GET
      • Search a business's devices
        GET
      • Export all business devices
        GET
      • Export my business's devices
        GET
      • Import business devices from CSV
        POST
      • Start device transfers from CSV
        POST
      • Import device statuses from CSV
        PATCH
      • Delete business devices
        PATCH
      • Change a device's owner
        PATCH
      • Get a business's device transfer log
        GET
    • Business Racks
      • Overview
      • Export all business racks
      • Assign a rack to a business
      • List a business's racks
      • List all business racks
      • Change a business rack's status
      • Delete business racks
      • Restore a deleted business rack
      • Import business racks from CSV
    • Business Locations
      • Overview
      • Update a business's status and datacenters
      • Migrate business locations to datacenters
      • Remove the old locations field from businesses
      • Migrate business user locations to datacenters
      • Migrate business device locations to datacenter names
    • Business Reports
      • Overview
      • Send the visits reports
      • Download a visits report
      • Set a business's report recipients
    • List businesses
      GET
    • Search businesses
      GET
    • Search businesses by name or extra data
      GET
    • Export businesses
      GET
    • Get a business
      GET
    • Create a business
      POST
    • Import businesses from CSV
      POST
    • Update a business
      PATCH
    • Delete a business
      DELETE
  • Banned Devices
    • List banned devices
    • Check if a device is risky or banned
    • Get a banned device
    • Create a banned device
    • Update a banned device
    • Delete a banned device
  • Data Centers
    • Listar data centers
    • Crear un data center
    • Actualizar un data center
    • Eliminar un data center
  • Intake Forms
    • List intake form reponses
    • Get an intake form's response
    • Get an intake form's response license file
    • Get an intake form's response identification file
    • Download intake form responses report
    • Create an intake form's response
    • Upload a license file to an intake form's response
    • Upload an identification file to an intake form's response
    • Update an intake form's response
    • Delete an intake form's response
  • Users
    • Overview
    • Permissions
      • Overview
      • Generate KIO user permissions
      • Generate business user permissions
      • List KIO user permissions
      • Create a KIO user permission
      • Delete a KIO user permission
    • Roles
      • Overview
      • List KIO user roles
      • Create a KIO user role
      • Get a KIO user role
      • Update a KIO user role
      • Delete a KIO user role
    • User Groups
      • Overview
      • List user groups
      • Create a user group
      • Update a user group
      • Delete a user group
    • List KIO users
    • Create a KIO user
    • Get a KIO user
    • Update a KIO user
    • Activate or deactivate a KIO user
    • Delete a KIO user
    • Generate a session token for a user
    • Export KIO users
    • Search active KIO users by name
    • Search KIO users
    • Look up an employee in SuccessFactors
    • Import KIO user updates from CSV
  • External Users
    • Overview
    • List external users
    • Find external users to invite
    • Search external users
    • Export external users
    • Create an external user
    • Edit an external user
    • Update an external user
    • Upload an external user's avatar
    • Delete an external user's avatar
    • Delete an external user
  • Send App Notification
    POST
  • Events Locations
    GET
  • Fetch Wires
    GET
  • Create Business Temporary Secret
    POST
  • Schemas
    • Auth
      • Auth Session
      • Two-Factor Status
      • Two-Factor Challenge
      • KIO User Session
    • Businesses
      • Business Users
        • Business User Role
        • Datacenter Access
        • Business User
        • Business User With Relations
        • Business User Permission
      • Business Devices
        • Business Device
        • Business Device Log Entry
      • Business Racks
        • Business Rack
        • Datacenter Rack
      • Business
      • Datacenter Assignment
      • Business List Item
      • Business Console
    • Users
      • User Role
      • User
      • User Permission
      • User Group
      • Permission Catalog
      • SuccessFactors Employee
    • External Users
      • External User
    • ApplicationContentCreate
    • ApplicationContentUpdate
    • ApplicationContent
    • ApplicationContentListResponse
    • Banned Device
    • Error
    • LanguageEntry
    • Pagination
    • Intake Form
    • DataCenter
    • LocalizedContent
    • Delete Result
    • Import Row Error
    • Bulk Write Result
    • Message
    • Personal Device
  1. Business Devices

Search a business's devices

QA Environment
https://qa-api.kiolinkapp.com
QA Environment
https://qa-api.kiolinkapp.com
GET
https://qa-api.kiolinkapp.com
/v1/business/{id}/devices/query
Business Devices
Last modified:2026-10-05 20:36:08
Maintainer:Not configured
Required Permission(s):dcservices-devices-read
Returns up to 10 devices of a business (active or not) whose serial number, brand, model, location or device type name contains query (case-insensitive). Characters other than letters, digits, spaces, - and & are removed from query.
query is required; a missing query results in HTTP 500.
Requires a session token whose role has the dcservices-devices-read permission.

Request

Authorization
API Key
Add parameter in header
authorization
Example:
authorization: ********************
or
Path Params

Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://qa-api.kiolinkapp.com/v1/business/65f1c2a9e4b0a1b2c3d4e5a1/devices/query?query=SGH123' \
--header 'authorization: <api-key>'

Responses

🟢200Matching devices
application/json
Matching devices.
Bodyapplication/json

Example
{
    "total": 1,
    "data": [
        {
            "_id": "65f1c2a9e4b0a1b2c3d4e5d1",
            "_devicetype": {
                "_id": "65f1c2a9e4b0a1b2c3d4e5d9",
                "name": "Servidor"
            },
            "serie": "SGH123ABC",
            "marca": "HPE",
            "modelo": "ProLiant DL380 Gen10",
            "location": "MEX1",
            "fase": "F1",
            "status": "Ingresado",
            "active": true,
            "details": {
                "rack_gabinete": "R12",
                "num_fuentes": "2",
                "amperes": "4",
                "voltaje": "220"
            },
            "_business": "65f1c2a9e4b0a1b2c3d4e5a1",
            "movement_request": false,
            "historical": [
                {
                    "_id": "65f1c2a9e4b0a1b2c3d4e5d2",
                    "fecha": "2025-03-10T15:20:00.000Z",
                    "prev_status": "Standby",
                    "status": "Ingresado",
                    "datacenter": "MEX1",
                    "fase": "F1",
                    "_user_authorize": {
                        "_id": "65f1c2a9e4b0a1b2c3d4e5e7",
                        "firstname": "José María",
                        "lastname": "Esparza Arévalo",
                        "email": "jose.esparza@digitalignition.com.mx",
                        "avatar": "",
                        "keywe": {}
                    },
                    "_business_user_request": {
                        "_id": "65f1c2a9e4b0a1b2c3d4e5f6",
                        "firstname": "Ana",
                        "lastname": "López",
                        "email": "ana.lopez@example.com",
                        "business": "65f1c2a9e4b0a1b2c3d4e5a1"
                    },
                    "folio_visita": "KL-2025-000123",
                    "isAuto": false
                }
            ],
            "historical_request": [],
            "created_at": "2025-01-15T18:00:00.000Z",
            "owner": "Cliente",
            "transfer_request": false,
            "__v": 0
        }
    ],
    "length": 1
}
🟠401The session token expired
🟠403Not authenticated (missing/invalid token, inactive user), or
🔴500Unexpected error (e
Modified at 2026-10-05 20:36:08
Previous
List a business's devices
Next
Export all business devices
Built with